Register a webhook endpoint
Register a webhook endpoint. This operation is part of the draft contract; confirm deployment availability before sending requests.
Body
required
application/json
- Type: enumeventsrequired
- Type: stringFormat: uriurlrequired
Responses
- application/json
Request Example for post/webhook-endpoints
curl https://api.eno.health/webhook-endpoints \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"url": "https://example.com",
"events": [
"user.created"
]
}'
{
"id": "string",
"url": "https://example.com",
"events": [
"user.created"
],
"status": "enabled",
"createdAt": "2026-11-16T17:41:54.774Z",
"secret": "whsec_..."
}